#!/bin/sh

rm_fs() {
    res=`ubinfo /dev/ubi0 -N $1 2>&1`
    id=`expr "$res" : 'Volume ID: \+\([0-9]\+\).*'`
    if [ "x$id" != "x" ]; then
	ubirmvol /dev/ubi0 -N $1
    fi
}

upgrade_fs() {
    SIZE=`stat -c %s $1`
	rm_fs $2
    if [ $SIZE -gt 1000 ] ; then
	ubimkvol -N $2 -t static -s $SIZE /dev/ubi0
	res=`ubinfo /dev/ubi0 -N $2 2>&1`
	id=`expr "$res" : 'Volume ID: \+\([0-9]\+\).*'`
	DIR=/sys/class/ubi/ubi0_$id
	VER=`sed 's/:/ /g' $DIR/dev`
	mknod /dev/ubi0_$id c $VER
	ubiupdatevol /dev/ubi0_$id $1
    fi
}

#$1: file name 
#$2: ubiname
upgrade_fs $1 $2
